com.holonplatform.vaadin.flow.components.builders

## Interface HasTimeInputConfigurator<C extends HasTimeInputConfigurator<C>>

- Type Parameters:
    `C` - Concrete configurator type
  All Known Subinterfaces:
    DateTimeInputBuilder, DateTimeInputConfigurator<C>, LocalDateTimeInputBuilder, LocalDateTimeInputConfigurator<C>, ValidatableDateTimeInputBuilder, ValidatableLocalDateTimeInputBuilder

      public interface HasTimeInputConfigurator<C extends HasTimeInputConfigurator<C>>

  Configurator for input component which supports a date with time.
  Since:
    5.2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `spacing(boolean spacing)` Set whether to display a space between the `date`, `time` input fields.
    `C` | `timeInputWidth(String timeInputWidth)` Set the time input width.
    `C` | `timeStep(Duration step)` Sets the time step using duration.

- - ### Method Detail

    - #### spacing

          C spacing(boolean spacing)

      Set whether to display a space between the `date`, `time` input fields.
      Parameters:
        `spacing` - whether to enable spacing
      Returns:
        this

    - #### timeInputWidth

          C timeInputWidth(String timeInputWidth)

      Set the time input width.
      Parameters:
        `timeInputWidth` - the time input width to set
      Returns:
        this

    - #### timeStep

          C timeStep(Duration step)

      Sets the time step using duration. It specifies the intervals for the displayed items in the time input dropdown and also the displayed time format.

      The set step needs to evenly divide a day or an hour and has to be larger than 0 milliseconds. By default, the format is `hh:mm` (same as `Duration.ofHours(1)`).

      If the step is less than 60 seconds, the format will be changed to `hh:mm:ss` and it can be in `hh:mm:ss.fff` format, when the step is less than 1 second.

      NOTE: If the step is less than 900 seconds, the dropdown is hidden.

      Parameters:
        `step` - the step to set, not `null` and should divide a day or an hour evenly
      Returns:
        this
      Since:
        5.2.3

Copyright © 2020 The Holon Platform. All rights reserved.